# Copyright (C) 2017  Pietro Albini <pietroalbini@ubuntu.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; witout even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys

from .bot import create_bot


def cli(args):
    """CLI of the bot"""
    if len(args) != 2:
        print("Usage: uitsmmbot <telegram-token> <database-path>")
        exit(1)

    bot = create_bot(args[0], args[1])
    bot.run(workers=1)


def main():
    """Entry point"""
    cli(sys.argv[1:])


if __name__ == "__main__":
    main()
